package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkflowFacadeFactory
{
    private WorkflowFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("7881A070") ,com.kingdee.eas.custom.workflow.IWorkflowFacade.class);
    }
    
    public static com.kingdee.eas.custom.workflow.IWorkflowFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("7881A070") ,com.kingdee.eas.custom.workflow.IWorkflowFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("7881A070"));
    }
    public static com.kingdee.eas.custom.workflow.IWorkflowFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.IWorkflowFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("7881A070"));
    }
}